org.apache.tomcat.util.buf

## Class UDecoder

- java.lang.Object
- - org.apache.tomcat.util.buf.UDecoder

-     public final class UDecoder
      extends Object

  All URL decoding happens here. This way we can reuse, review, optimize without adding complexity to the buffers. The conversion will modify the original buffer.
  Author:
    Costin Manolache

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `ALLOW_ENCODED_SLASH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDecoder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `convert(ByteChunk mb)` Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
    `void` | `convert(ByteChunk mb, boolean query)` URLDecode, will modify the source.
    `void` | `convert(CharChunk mb)` Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
    `void` | `convert(CharChunk mb, boolean query)` In-buffer processing - the buffer will be modified
    `void` | `convert(MessageBytes mb)` Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
    `void` | `convert(MessageBytes mb, boolean query)` URLDecode, will modify the source
    `String` | `convert(String str)` Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
    `String` | `convert(String str, boolean query)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALLOW_ENCODED_SLASH

          public static final boolean ALLOW_ENCODED_SLASH

  - ### Constructor Detail

    - #### UDecoder

          public UDecoder()

  - ### Method Detail

    - #### convert

          @Deprecated
          public void convert(ByteChunk mb)
                       throws IOException

      Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
      URLDecode, will modify the source. Includes converting '+' to ' '.
      Throws:
        `IOException`

    - #### convert

          public void convert(ByteChunk mb,
                     boolean query)
                       throws IOException

      URLDecode, will modify the source.
      Throws:
        `IOException`

    - #### convert

          @Deprecated
          public void convert(CharChunk mb)
                       throws IOException

      Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
      In-buffer processing - the buffer will be modified Includes converting '+' to ' '.
      Throws:
        `IOException`

    - #### convert

          public void convert(CharChunk mb,
                     boolean query)
                       throws IOException

      In-buffer processing - the buffer will be modified
      Throws:
        `IOException`

    - #### convert

          @Deprecated
          public void convert(MessageBytes mb)
                       throws IOException

      Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.
      URLDecode, will modify the source Includes converting '+' to ' '.
      Throws:
        `IOException`

    - #### convert

          public void convert(MessageBytes mb,
                     boolean query)
                       throws IOException

      URLDecode, will modify the source
      Throws:
        `IOException`

    - #### convert

          @Deprecated
          public final String convert(String str)

      Deprecated. Unused. Will be removed in Tomcat 8.0.x onwards.

    - #### convert

          public final String convert(String str,
                       boolean query)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.